<?php 
// session_start(); 

// echo '====='.$cfg_empr;

?>


<?php //die(); ?>
<?php //echo  '<br>'.substr(phpversion(),0,1); ?>
<?php //echo  '<br>'.phpversion('tidy'); ?>
<?php include('_cfg/config1.php');?>

<?php //$last_updjs='2021-01-26';?>
<?php //include('php_gene1.php');?>
<?php //if(date('Y-m-d')<=$last_updjs){$updjs=1;}else{$updjs=0;} ?>  
<?php //$jsver=''; ?>  
<?php //$xrand=rand(); ?>  
<?php //$updjs=1; ?>  
<?php //if($updjs==1){$jsver='?version='.$xrand;}?>  
<?php



$linkerX='../demo/index.php';
$linkerY='../'.$cfg_empr.'/index.php';
echo copy($linkerX,$linkerY);



?>

<script>location.reload();</script>
<?php
     

return;
// echo '*/*/*/*/*/*/*'.$cfg_empr;
// echo '======== '.$linkerY;
// echo '<br>';
// echo '<br>';
// echo '<br>';
echo file_put_contents($linkerY,"<? session_start(); include('../_lib/vrstart.php'); ?>");

return;

// die();
// $linkerX='../demo/index3.php';
// $linkerY='../'.$cfg_empr.'/index.php';
// echo copy($linkerX,$linkerY);

//die();



// die('END');
// echo 'TEST';

// $linkerX='../demo/index1.php';
// $linkerY='../'.$cfg_empr.'/index1.php';
// copy($linkerX,$linkerY);

// 

// if($user_codigo!=2){die();}
// if($cfg_empr=='cpc1'){die();}
// if($cfg_empr=='gmny'){die();}
// if($cfg_empr=='gnya'){die();}



if($cfg_empr!='demo')
{
//      $linkerX='../demo/.htaccess';
//      $linkerY='../'.$cfg_empr.'/.htaccess';
//      @copy($linkerX,$linkerY);
     

}




$linkerX='../demo/_lib/_linker.php';
$linkerY='../'.$cfg_empr.'/_lib/_linker.php';
copy($linkerX,$linkerY);

$linkerX='../demo/linker3.php';
$linkerY='../'.$cfg_empr.'/linker3.php';
copy($linkerX,$linkerY);

$linkerX='../demo/_cfg/_linker.php';
$linkerY='../'.$cfg_empr.'/_cfg/_linker.php';
copy($linkerX,$linkerY);

$linkerX='../demo/_cfg/config3.php';
$linkerY='../'.$cfg_empr.'/_cfg/config3.php';
copy($linkerX,$linkerY);


// $linkerX='../demo/index.php';
// $linkerY='../'.$cfg_empr.'/index.php';
// copy($linkerX,$linkerY);

$linkerX='../demo/index2.php';
$linkerY='../'.$cfg_empr.'/index2.php';
copy($linkerX,$linkerY);

$linkerX='../demo/index3.php';
$linkerY='../'.$cfg_empr.'/index3.php';
copy($linkerX,$linkerY);


// if(mb_stristr('sawo.amin.dtja.crsb.btp1',$cfg_empr) and !empty($cfg_empr))
// if(!mb_stristr('.imcp',$cfg_empr) and !empty($cfg_empr))
// if(mb_stristr('kona.aajf.ciro.amay.amin.sawo.amin.dtja.crsb.btp1.trps.maxc.dtms.goee.ptvl.adsa.hcca.msrg.posa.jare.eckp.clas.mfca.jfkm.alka.orel.span.mpxe.pcs1',$cfg_empr) and !empty($cfg_empr))
if(mb_stristr('.trps.gsas.pec1',$cfg_empr)){die();}

if(!mb_stristr('.imcp.hfXre',$cfg_empr) and !empty($cfg_empr))
{
     $linkerX='../demo/index3.php';
     $linkerY='../'.$cfg_empr.'/index.php';
     copy($linkerX,$linkerY);
}


// die();
// $jsver='';
$jsdate=date('ymd');
$jsdate=date('ymdH');
$jsdate=date('YmdH');
$jsver='?version='.$jsdate;
// $jsver='';

// unlink('../'.$cfg_empr.'/3index.php');
// unlink('../'.$cfg_empr.'/admin.php');
// unlink('../'.$cfg_empr.'/old-index.php');
// unlink('../'.$cfg_empr.'/wikindex.php');
// unlink('../'.$cfg_empr.'/wp-admin.php');

?>
<?php 
// 127 ⌂
// 30 ▲
// 24 ↑
// 16 ►
// 27 ←
?>
<?php 
$servername=$_SERVER['SERVER_NAME']; 
$servername=substr($servername,5);
?>
<?php //setcookie('versaldo'); ?>
<!-- <!DOCTYPE html> -->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">
<meta id="viewport" name="viewport" content="user-scalable=no">
<!-- <meta name="viewport" content="initial-scale=1; maximum-scale=0.8"> -->
	
<style style="text/css">
/* @page { margin: 0; } */

   
  
@font-face{
   font-family:'EanP36Tt';
   src: url('../_font/EAN13_36.ttf') format('truetype'); 
   font-weight: normal;
   font-style: normal;
}
  
@font-face {
   font-family: 'PalaceScriptMT';
   src: url('../_font/PalaceScriptMT.ttf')  format('truetype'); 
   font-weight: normal;
   font-style: normal;
}   
   
pscript{
   font-family: 'PalaceScriptMT';
   padding:0px; margin:0px;
}
	
cbean13 {
   font-family: 'EanP36Tt';
   padding:0px; margin:0px;
}
   
/* 	
@font-face {
   font-family: 'Arial Narrow';
   font-weight: normal;
   font-style: italic;
}
   
@font-face {
   font-family: 'PalScript';
   src: url('KunstlerScript.ttf')  
   format('truetype'); 
   font-weight: normal;
   font-style: italic;
}
   
   
   
@font-face{
   font-family:'Barcode';
   src: url('BarcodeFont.ttf') format('truetype'); 
   font-weight: normal;
   font-style: normal;
}
	
barcode
{
   font-family: 'Barcode';
   padding:0px; margin:0px;
}
	
	 */

/* div{font-family:Arial;}    */
</style>
  
<!-- <script src="https://www.google.com/recaptcha/api.js?onload=onloadCallback&render=explicit" async defer></script> -->
  
<!-- <title>VCRX</title> -->
<link rel="stylesheet" type="text/css" href="//vcrxol.com/_lib/vrgets.css<?php echo $jsver;?>">  
<!-- <link rel="stylesheet" type="text/html" href="//vcrxol.com/_js/tableexport.min.css"> -->
<!-- <link rel="stylesheet" type="text/css" href="//vcrxol.com/_js/tableexport.min.css"> -->
<link rel="stylesheet" type="text/css" href="//vcrxol.com/_js/tableexport.css">
  
<!-- <link rel="stylesheet" href="//vcrxol.com/css/bootstrap.min.css"> -->
   <link rel="stylesheet" media="all" href="//vcrxol.com/_lib/style1.css<?php echo $jsver;?>" >
  
  
  
  
</head>
<body translate="no">

     
  
<script type="text/javascript">
  
  var xdomain;
  xdomain=document.domain;
  
//   ajax=function(){};
  
//   alert(xdomain);
  
</script>

<?php //if(isset($_SESSION['user_codigo']))
{ ?>
<?php if($_SESSION['user_codigo']==""){ ?>  
<script src="https://www.google.com/recaptcha/api.js" async defer></script>    
<?php }  ?> 
<?php } ?>
<!-- <script src='https://www.google.com/recaptcha/api.js'></script> -->
  
      <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
     
<!--       <script src="https://vcrxol.com/js/popper.min.js"></script> -->
<!--       <script src="https://vcrxol.com/js/bootstrap.min.js"></script> -->
   
<script src="https://vcrxol.com/_js/js_gene1b.js<?php echo $jsver;?>"></script>
<script src="https://vcrxol.com/_js/js_ajax1b.js<?php echo $jsver;?>"></script>
<script src="https://vcrxol.com/_js/js_options1b.js<?php echo $jsver;?>"></script>
<script src="https://vcrxol.com/_js/js_espe1b.js<?php echo $jsver;?>"></script>
    
<?php if ($cfg_empr=='jwib'){?>
<script src="https://vcrxol.com/_js/js_jwib1.js<?php echo $jsver;?>" ></script>
<?php } ?>

<script src="https://vcrxol.com/_js/js_cont1b.js<?php echo $jsver;?>" ></script>
<!-- <script src="https://vcrxol.com/_js/js_pyme1.js<?php //echo $jsver;?>" ></script> -->


<!-- <script type="text/javascript" src="https://vcrxol.com/_js/FileSaver.min.js"></script> -->
<!-- <script type="text/javascript" src="https://vcrxol.com/_js/tableexport.min.js"></script> -->
<!-- <script type="text/javascript" src="https://vcrxol.com/_js/Blob.min.js"></script> -->
<!-- <script type="text/javascript" src="https://vcrxol.com/_js/xls.core.min.js"></script> -->
  
  
<script>
// $("table").tableExport({
// 	formats: ["xlsx","txt", "csv"], //Tipo de archivos a exportar ("xlsx","txt", "csv", "xls")
// 	position: 'button',  // Posicion que se muestran los botones puedes ser: (top, bottom)
// 	bootstrap: false,//Usar lo estilos de css de bootstrap para los botones (true, false)
// 	fileName: "ListadoPaises",    //Nombre del archivo 
// });
</script>
 
  
<script type="text/javascript">
// function fonload()
// {
// //   maxWindow();
//   xajax='';
//   _urlinker='../_lib/_linker.php';
//   _mobile=_mobile();
//   _touchs=_touchs();
//   _desktop=!_mobile;
//   get_para();

//   if(_mobile && getini!=''){set_noback();}
//     set_main(); 
//     set_top();
//   if(!_mobile && getini=='empr'){getini='';set_empr();}
//   if(!_mobile && getini=='data'){getini='';set_data();}
//    set_option();
 
// }
  
  
// function doLoad() {
// //   alert(1);
//   fonload();
//   }
//   if ( window.addEventListener ) { 
//      window.addEventListener( "load", doLoad, false );
//   }
//   else 
//      if ( window.attachEvent ) { 
//         window.attachEvent( "onload", doLoad );
//   } else 
//         if ( window.onLoad ) {
//            window.onload = doLoad;
//   }  
  
  
  
window.onload = function ()
{

var xhref=location.href;
          
if(xhref.indexOf('https:')<0)
{window.location=xhref.replace('http:','https:');}
  
  
// Detect whether device supports orientationchange event, otherwise fall back to
// the resize event.
var supportsOrientationChange = "onorientationchange" in window,
    orientationEvent = supportsOrientationChange ? "orientationchange" : "resize";

  xajax='';
  _urlinker='../_lib/_linker.php';
  _mobile=_mobile();
  _touchs=_touchs();
  _desktop=!_mobile;
	
     
window.addEventListener(orientationEvent, function()
{
  //     alert('HOLY ROTATING SCREENS BATMAN:' + window.orientation + " " + screen.width);
  set_divs();
  if(_mobile)
  {location.reload();}  
  // set_fonts();
//   menu_main();
}, false);  
  
  get_para();
   
// 	viewport.setAttribute('content', 'width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=yes');
// 	if($get.prnt!=='' && $get.prnt!==undefined)
// 	{if($get.idnum!=='' && $get.idnum!==undefined){print_docu($get.docu,$get.idnum,$get.formato,$get.destino,$get.exte);return;}}

	if($get.prnt!=='' && $get.prnt!==undefined && $get.idnum!=='' && $get.idnum!==undefined)
	{print_docu($get.docu,$get.idnum,$get.formato,$get.destino,$get.exte);return;}

	if($get.ilbl!=='' && $get.ilbl!==undefined && $get.codigo!=='' && $get.codigo!==undefined)
	{print_itemlbl($get.codigo,$get.tipo);return;}

	if($get.elbl!=='' && $get.elbl!==undefined && $get.codigo!=='' && $get.codigo!==undefined)
	{print_entilbl($get.codigo,$get.tipo);return;}

	if($get.ch10!=='' && $get.ch10!==undefined && $get.idnum!=='' && $get.idnum!==undefined)
	{print_cheque($get.docu,$get.idnum);return;}

  if($get.clave!=='' && $get.clave!==undefined)
  {print_docu('',$get.clave,'',$get.destino,$get.exte);return;}
  
  if(_mobile){set_noback();}

    set_main(); 
    set_top();

     if(getempr=='jwib' && getini!==undefined){login_cong(getini);}
     if(getini=='empr'){alert('Configura EMPR');getini='';set_empr();}
     if(getini=='data'){getini='';set_data(9);}
     if(getini=='logout'){getini='';logout1();}
     if(getini.toLowerCase().indexOf('.xspf')>0){show_xspf(getini);getini='';}

  set_option();

  if($get.scri!=='' && $get.scri!==undefined){php_scri($get.scri);}
  else{php_scri('empr_main');}
  
// 	if($get.cong!=='' && $get.cong!==undefined){}
	if($get.menu!=='' && $get.menu!==undefined){menu_main($get.menu);}
	if($get.ctlg!=='' && $get.ctlg!==undefined){ctlg_item($get.ctlg);}
	
  
	if($get.rpro!==undefined){regi_rpro('PANT0',$get.docu,$get.idnum);}
	if($get.atvd!==undefined){regi_atvd('PANT0',$get.idnum);}
  
	if($get.regis=='registra'){regi_user('registra');}
	if($get.regis=='confirma'){regi_user('confirma');}
	if($get.regis=='restaura'){regi_user('restaura');}
  
  if(document.getElementById('main1'))
  {document.getElementById('main1').scrollIntoView();}
  
// 	window.scrollTo(0,0);
     
// token:'_d5WB6jUchdxP4q3seQencCILE-EAW-Dw7Pu2znR25Aq8LnyThR69ZDv5NHuX94bmQxhh3Sv3c8a4qzPNbdtaj8EPF6lMpom0L4oZ5RExU6uFa5DkUfCuTk8vjB03HzfUrGy2R9GNqcEJK1tNLgAhApx5p_VXfFCAwTFLDZ3dlERzco5aD7DvLYIKu6y2UJL1bAHLtiiLTj26rRcXc3g4Or37vdNihqRgluyEY6v-eObE_39rYGhPINCPoHI8EN8B0guOVtq4gKU49jUo-PYzmhs_QY4gvil4c-sfw3N5dE4FtnuKPoj1lIYZzuzXmOq0rUoog',
     
     
     
     
     
}

// window.onbeforeunload = function confirmExit()
// {return "Desea Cerrar la Ventana ?";}


// $('body').on('keydown', 'input, select, textarea', function (e)
// {
//   var self = $(this)
//     , form = self.parents('body:eq(0)')
//     , focusable
//     , next
//   ;
//   var key = (window.event) ? e.keyCode : e.which;

//   if (key == 13)
//   { 
// //       focusable = form.find('input,a,select,textarea').filter(':visible');
//       focusable = form.find('input,a,select,button,textarea').filter(':visible');
//       next = focusable.eq(focusable.index(this) + 1);
//       if (next.length)
//       {next.focus();}
//       else
//       {focusable.click();}
//       return false;
//   }
// });  
  

</script>
     
<?php
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>';     
echo '<br>'.substr(phpversion(),0,5); 
     
     
?>
</body>
     
</html>